/************************************************************************
 * Spooky - a service framework for the Internet
 * CalculatorAction.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package example.calculator;

import java.beans.*;
import spooky.control.event.*;

import javax.naming.*;
import javax.rmi.*;
import javax.servlet.http.*;
import javax.ejb.*;

import java.util.*;
import example.calculator.ejb.*;
import spooky.control.event.*;
import spooky.config.*;
import spooky.exception.*;
import spooky.debug.SimpleTrace;

/**
 * A example event processor to count two values.
 * @author  ekarlsso
 * @version 
 */
public class CalculatorAction extends spooky.control.event.HttpEventProcessor implements java.io.Serializable {

    private int value1;
    private int value2;
    
    public CalculatorAction()
    {
        super();
        SimpleTrace.printMessage("CalculatorAction::CalculatorAction()");
        value1 = 0;
        value2 = 0;
    }

    
    public synchronized EventResponse calculateValues2( int value1, int value2 ){
        
        try
        {
            EventProcessorConfig eventConfig = getEventProcessorConfig();
            int value = 0;
            value = value1 + value2;
            
            InitialContext cx = new InitialContext();
            Object homeObj = cx.lookup("CountEntityEJB");
            CountEntityHome theHome = (CountEntityHome)PortableRemoteObject.narrow( homeObj, CountEntityHome.class );
            CountEntity countEntity = null;
            
            try {
                countEntity = theHome.findByPrimaryKey("CalculatorTestApp");
            }catch( FinderException fe ){
                countEntity = theHome.create("CalculatorTestApp");
            }

            SimpleTrace.printMessage("CalculatorAction::EventResponse::setCount("+value+")");
            countEntity.setCount( value );
            LinkedList list = new LinkedList();
            list.add("calculator_model");
            
            HashMap map = new HashMap();
            EventResponse eventResponse = new EventResponse(list, map, eventConfig.getView() );
            
            return eventResponse;
            
        }
        catch( Exception e )
        {
            ErrorObject errorObject = new ErrorObject( e.toString(), "CalculatorAction", "calculateValues");
            EventResponse eventResponse = new EventResponse();
            eventResponse.addErrorObject( errorObject );
            return eventResponse;
        }        
        
    }
    
    /**
     * Calculates value 1 and value 2 
     *
     */
    public synchronized EventResponse calculateValues( int value1, int value2 ){
        
        try
        {
            EventProcessorConfig eventConfig = getEventProcessorConfig();
            int value = 0;
            value = value1 + value2;
            
            InitialContext cx = new InitialContext();
            Object homeObj = cx.lookup("CountEntityEJB");
            CountEntityHome theHome = (CountEntityHome)PortableRemoteObject.narrow( homeObj, CountEntityHome.class );
            CountEntity countEntity = null;
            
            try {
                countEntity = theHome.findByPrimaryKey("CalculatorTestApp");
            }catch( FinderException fe ){
                countEntity = theHome.create("CalculatorTestApp");
            }

            countEntity.setCount( value );
            LinkedList list = new LinkedList();
            list.add("calculator_model");
            
            HashMap map = new HashMap();
            EventResponse eventResponse = new EventResponse(list, map, eventConfig.getView() );
            
            return eventResponse;
            
        }
        catch( Exception e )
        {
            ErrorObject errorObject = new ErrorObject( e.toString(), "CalculatorAction", "calculateValues");
            EventResponse eventResponse = new EventResponse();
            eventResponse.addErrorObject( errorObject );
            return eventResponse;
        }
    }
    
}

