/************************************************************************
 * Spooky - a service framework for the Internet
 * CalculatorModel.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package example.calculator;

import example.calculator.ejb.*;
import spooky.model.web.*;
import spooky.debug.*;

import javax.naming.*;
import javax.rmi.*;
import javax.servlet.http.*;
import javax.ejb.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class CalculatorModel extends spooky.model.web.HttpModel implements java.io.Serializable  {

    public int value;
    
    /** Creates new CalculatorModel */
    public CalculatorModel() {
        value = 0;
    }

    public void update(Object parameters) throws WebModelException {
    
        try {
            
            InitialContext cx = new InitialContext();
            Object homeObj = cx.lookup("CountEntityEJB");
            
            CountEntityHome theHome = (CountEntityHome)PortableRemoteObject.narrow( homeObj, CountEntityHome.class );
            CountEntity countEntity = null;

            countEntity = theHome.findByPrimaryKey("CalculatorTestApp");
            value = countEntity.getCount();
            SimpleTrace.printMessage("CalculatorModel::update "+value);
        }catch( FinderException fe ) {
            value = 0;
        }catch( Exception e ){
            throw new WebModelException( e.toString() );
        }        
        
    }    
    
    public int getCount(){
        return value;
    }
}
