/************************************************************************
 * Spooky - a service framework for the Internet
 * EventConfig.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.config;
import java.util.*;

/**
 * Class represents the configuration data of one event in the
 * event processor. One event corresponds to one method in 
 * the event processor class.
 *
 * @author  ekarlsso
 * @version 
 */
public class EventConfig implements java.io.Serializable{

    private String name;
    private String view;
    private LinkedList eventParams;
    
    
    /** Creates new EventConfig */
    public EventConfig( String name, String view, LinkedList params) {
        this.name = name;
        this.view = view;
        this.eventParams = params;
    }

    
    public LinkedList getEventParams(){
        return eventParams;
    }
    
    public String getName(){
        return name;
    }
    
    public String getView(){
        return view;
    }
}
