/************************************************************************
 * Spooky - a service framework for the Internet
 * EventProcessorConfig.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.config;

import java.util.*;
/**
 *
 * @author  Erik Karlsson
 * @version 
 */
public class EventProcessorConfig implements java.io.Serializable {

    private String request;
    private String eventClass;
    private String name;
    private String view;
    private HashMap events;
    private boolean authentication;
    
    /** Creates new EventConfig */
    public EventProcessorConfig(String request, String eventClass, String name, String view, HashMap events, boolean authentication) {
        
        this.request = request;
        this.eventClass = eventClass;
        this.name = name;
        this.view = view;
        this.events = events;
        this.authentication = authentication;
    }

    public HashMap getEvents(){
        return events;
    }
    
    public String getRequest() {
        return request;
    }
    
    public String getEventClass() {
        return eventClass;
    }
    
    public String getName() {
        return name;
    }
    
    public String getView() {
        return view;
    }
    
    public boolean requiresAuthentication() {
        return authentication;
    }
}
