/************************************************************************
 * Spooky - a service framework for the Internet
 * EventHandler.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package spooky.control.event;
import spooky.security.*;
import spooky.security.FrameworkContext;

/**
 * This interface
 *
 * @author  Erik Karlsson
 * @version 
 */
public interface EventHandler {
    
    
    public void initEventProcessor() throws EventProcessingException;
    
    /**
     * Method raises the specific event 
     *
     */
    public EventResponse raiseEvent( EventContext eventContext ) throws EventProcessingException;
    /**
     *  <p>
     *  Method is called when the event processor has finished up the
     *  event processing. Within this function call the event processor
     *  can make some clean up if needed.
     *  </p>
     */
    public void cleanEvent() throws EventProcessingException;
    
    /**
     *
     *  @return the name of the event
     */
    public String getName();
    
    public void setFrameworkContext( FrameworkContext securityContext );
   
}

