/************************************************************************
 * Spooky - a service framework for the Internet
 * WebEnviroment.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.control.event;

import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;
/**
 *
 * @author  Erik Karlsson
 * @version 
 */
public class WebEnviroment implements EventContext, java.io.Serializable{

    
    private HttpSession httpSession;
    private HttpServletRequest request;
    private ServletContext servletContext;
    public static int HTTP_SESSION_ID = 0;
    public static int HTTP_REQUEST_ID = 1;
    public static int SERVLET_CONTEXT_ID = 2;
    public static int HTTP_RESPONSE_ID = 3;

    /** Creates new WebEnviroment */
    public WebEnviroment( HttpSession theSession, ServletContext servletContext, HttpServletRequest request ) 
    {
        this.httpSession = theSession;
        this.request = request;
        this.servletContext = servletContext;
    }

    /**
     * Returns
     *
     */
    public Object getObject( int objectType ) 
    {
        if( objectType == WebEnviroment.HTTP_SESSION_ID )
        {
            return httpSession;
        }
        else if( objectType == WebEnviroment.HTTP_REQUEST_ID )
        {
            return request;
        }
        else if( objectType == WebEnviroment.SERVLET_CONTEXT_ID )
        {
            return servletContext;
        }
        else
            return null;
    }
    
    public HashMap getParameters() {
        
        HashMap returnValues = new HashMap();
        Enumeration theNames = request.getParameterNames();
        
        while( theNames.hasMoreElements() )
        {
            String name = (String)theNames.nextElement();
            String value = request.getParameter( name );
            
            returnValues.put( name, value );
        }
        
        return returnValues;
        
    }
    
    public String getParameter(String name) {
        return (String)request.getParameter( name );
    }
    
}
