/************************************************************************
 * Spooky - a service framework for the Internet
 * BaseException.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.exception;

import java.util.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class BaseException extends java.lang.Exception {

    private LinkedList errorMessages;
    private LinkedList classes;
    
    /**
     * Creates new <code>BaseException</code> without detail message.
     */
    public BaseException() {
        errorMessages = new LinkedList();
        classes = new LinkedList();
    }


    /**
     * Constructs an <code>BaseException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public BaseException(String msg) {
        super(msg);
        errorMessages = new LinkedList();
        classes = new LinkedList();        
    }
    
    
    /**
     *
     *  @return a collection of the error messages
     */
    public Collection getErrorMessages()
    {
        return (Collection)errorMessages;
    }
    
    public void AddErrorObject( ErrorObject errorObject )
    {
        errorMessages.add( errorObject );
    }
    
    public void addErrorObjectsList( LinkedList errorObjects ){
        errorMessages = errorObjects;
    }
    
    public void AddClass( String name ){
        classes.add( name );
    }
}


