/************************************************************************
 * Spooky - a service framework for the Internet
 * HttpModel.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package spooky.model.web;

import javax.servlet.http.*;
import javax.servlet.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class HttpModel implements WebModel, java.io.Serializable {

    private HttpSession httpSession;
    private ServletContext servletContext;
    
    public HttpModel()
    {
    }
    
    /** Creates new HttpModel */
    public HttpModel( HttpSession httpSession, ServletContext servletContext) {
        
        this.httpSession = httpSession;
        this.servletContext = servletContext;
    }

    /**
     * Sets http enviroment's parameters.
     *
     */
    public void setObjects( HttpSession httpSession, ServletContext servletContext) {
        
        this.httpSession = httpSession;
        this.servletContext = servletContext;
    }
    
    public HttpSession getHttpSession()
    {
        return httpSession;
    }
    
    public ServletContext getServletContext()
    {
        return servletContext;
    }
    
    public void update(Object parameters) throws WebModelException {
        throw new WebModelException("Not implemented");
    }
    
}
