/************************************************************************
 * Spooky - a service framework for the Internet
 * ModelCollection.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.model.web;

import java.util.*;
/**
 *
 * @author  Erik Karlsson
 * @version 
 */
public class ModelCollection implements java.io.Serializable{

    public static String CONTEXT_NAME="model-collection";
    private HashMap models;
    
    /** Creates new ModelCollection */
    public ModelCollection() {
        models = new HashMap();
    }
    
    public synchronized void addModel( String key, WebModel model ) {
        models.put( key, model );
    }
    
    public synchronized Object getModelAsObject( String key ) 
    {
        return models.get(key);
    }
    
    public synchronized WebModel getModel( String key ) {
        return (WebModel)models.get( key );
    }
    
    public synchronized void setModels( HashMap models ) {
        this.models = models;
    }
    
    public synchronized HashMap getModels() {
        return models;
    }
    
    public synchronized boolean containsKey( String key ) {
        return models.containsKey(key );
    }
}
