/************************************************************************
 * Spooky - a service framework for the Internet
 * FrameworkCallbackHandler.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.security.auth;

import javax.servlet.http.HttpServletRequest;

import javax.security.auth.*;
import javax.security.auth.callback.*;
import javax.security.auth.login.*;
import javax.security.auth.spi.*;

/**
 *
 * @author  ekarlsso
 * @version 
 */
public class FrameworkCallbackHandler implements javax.security.auth.callback.CallbackHandler {

    private HttpServletRequest httpServletRequest;
    
    /** Creates new FrameworkCallbackHandler */
    public FrameworkCallbackHandler( HttpServletRequest httpServletRequest) 
    {
        this.httpServletRequest = httpServletRequest;
    }

    public void handle(Callback[] callbacks) throws java.io.IOException, UnsupportedCallbackException 
    {
        System.err.println("FrameworkCallbackHandler::handle()");
        for( int i = 0; i < callbacks.length; i++ )
        {
            if( callbacks[i] instanceof NameCallback )
            {
                NameCallback nc = (NameCallback)callbacks[i];
                String username = (String)httpServletRequest.getParameter("username");
                System.err.println("FrameworkCallbackHandler::handle()::NameCallback::"+username);
                if( username == null )
                    username = "";
                
                nc.setName( username );
            }
            else if( callbacks[i] instanceof PasswordCallback )
            {
                PasswordCallback passc = (PasswordCallback)callbacks[i];
                String password = (String)httpServletRequest.getParameter("password");
                System.err.println("FrameworkCallbackHandler::handle()::passwordCallback::password");
                if( password == null )
                    password = "";
                
                passc.setPassword( password.toCharArray() );
            }
            else
            {
                throw new UnsupportedCallbackException( callbacks[i], " usupported callback");
            }
        }
    }
    
}
