/************************************************************************
 * Spooky - a service framework for the Internet
 * FrameworkUserPrincipal.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.security.auth;

import java.util.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class FrameworkUserPrincipal implements java.io.Serializable, java.security.Principal {

    private String userName;
    private Integer userId;
    private String fullName;
    private Date created;
    
    /** Creates new FrameworkUserPrincipal */
    public FrameworkUserPrincipal() {
    }

    public FrameworkUserPrincipal( String userName, String fullName, Date created ) 
    {
        this.fullName = fullName;
        this.created = created;
        this.userName = userName;
    }
    
    public FrameworkUserPrincipal( Integer userId, String userName, String fullName, Date created ) 
    {
        this.userId = userId;
        this.fullName = fullName;
        this.created = created;
        this.userName = userName;
    }    
    
    public boolean equals(java.lang.Object obj) 
    {
        if ((obj == null ) || !(obj instanceof FrameworkUserPrincipal) )
            return false;
        
        FrameworkUserPrincipal sp = (FrameworkUserPrincipal)obj;
        
        if( userId.intValue() == sp.getUserId() )
            return true;
        else
            return false;
    }
    
    public java.lang.String getName() {
        return userName;
    }
    
    public String getUserName(){
       return getName();
    }
    
    public int getUserId(){
        return this.userId.intValue();
    }
    
    public String getFullUserName(){
        return fullName;
    }

    public Date getCreated(){
        return created;
    }
    
    public int hashCode() {
        return userName.hashCode();
    }
    
    public java.lang.String toString() {
        return "User name is: "+userName;
    }
    
}
