/************************************************************************
 * Spooky - a service framework for the Internet
 * SystemPrincipal.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package spooky.security.auth;

/**
 *
 * @author  ekarlsso
 * @version 
 */
public class SystemPrincipal implements java.security.Principal {

    private String sessionId;
    
    /** Creates new SystemPrincipal */
    public SystemPrincipal() {
    }
    
    public SystemPrincipal( String sessionId ){
        this.sessionId = sessionId;
    }
    
    public boolean equals(java.lang.Object obj) 
    {
        if ((obj == null ) || !(obj instanceof SystemPrincipal) )
            return false;
        
        SystemPrincipal sp = (SystemPrincipal)obj;
        return this.sessionId.equals( sp.getName() );
    }
    
    public int hashCode() {
        return sessionId.hashCode();
    }
    
    public java.lang.String getName() {
        return sessionId;
    }
    
    public String toString(){
        return "Session id is: " + sessionId;
    }
    
}
