/************************************************************************
 * Spooky - a service framework for the Internet
 * ConfigFileDAO.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package spooky.sysservices;

import spooky.sysservices.ejb.*;
import javax.ejb.*;
import javax.naming.*;
import javax.rmi.*;

/**
 *
 * @author  ekarlsso
 * @version 
 */
public class TableTools {

    /** Creates new TableTools */
    public TableTools() {
    }

    /**
     * Returns a new number for the table key identifier. If there was an error
     * the method returns value -1.
     *
     * @param ctx the context
     * @param tableName the name of the table to create a new row
     * @return the id for the table row
     */
    public static Integer tableKeyNumber( InitialContext ctx, String tableName )
    {
        try{
            
            Object boundObj = ctx.lookup("TableKeyEJB");
            TableKeyHome home = (TableKeyHome)PortableRemoteObject.narrow( boundObj, TableKeyHome.class );
            TableKey tableKey = null;
            
            try {
                tableKey = home.findByPrimaryKey( tableName );
            }catch( FinderException fe ){
                tableKey = home.create( tableName );
            }
            
            Integer returnValue = new Integer( tableKey.getRowId() );
            return returnValue;
            
        }catch( Exception e ){
            return new Integer(-1);
        }
        
    }
}
