/************************************************************************
 * Spooky - a service framework for the Internet
 * LoginProcessor.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package spooky.sysservices.security;

import spooky.config.*;
import spooky.control.event.*;
import spooky.security.*;
import spooky.security.auth.*;
import spooky.users.ejb.*;

import java.util.*;
import javax.ejb.*;
import javax.rmi.*;
import javax.naming.*;
import javax.servlet.http.*;

/**
 * This processor takes all authenticatio request after the authentication
 * was succesfully. This sevices response is to log all logins to the 
 * database.
 *
 * @author  ekarlsso
 * @version 
 */
public class LoginProcessor extends HttpEventProcessor{

    /** Creates new LoginProcessor */
    public LoginProcessor() {
    }

    /**
     * Logs the user's authentication to the database.
     */
    public EventResponse loginUser( String userName, String passWord, String nextpage)
    {
        EventResponse resp = new EventResponse( nextpage );
        return resp;
    }
    
    public EventResponse logout()
    {
        
        EventConfig eventConfig = getEventConfig("logout");
        EventResponse resp = new EventResponse( eventConfig.getView() );
        return resp;        
    }
}
