/************************************************************************
 * Spooky - a service framework for the Internet
 * AdminMessageObject.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.sysservices.user;

import spooky.users.value.*;
import java.util.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class AdminMessageObject implements java.io.Serializable{

    public static String CONTEXT_NAME = "admin-message-object"; 
    public static int ERROR = 0;
    public static int WARNING = 1;
    public static int OK = 2;
    
    private String errorMessage;
    private int messageType;
    
    
    
    /** Creates new AdminErrorObject */
    public AdminMessageObject(String msg) {
        this.errorMessage = msg;
        this.messageType = 2;
    }

    /** Creates new AdminErrorObject */
    public AdminMessageObject(String msg, int type) {
        this.errorMessage = msg;
        this.messageType = type;
    }    
    
    public String getMessage()
    {
        return errorMessage;
    }
    
    public int getType(){
        return messageType;
    }
}
