/************************************************************************
 * Spooky - a service framework for the Internet
 * ConfigTreeModel.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.sysservices.user;

import java.util.*;
import javax.ejb.*;
import javax.naming.*;
import javax.rmi.*;

import spooky.config.*;
import spooky.model.web.*;
import spooky.users.ejb.*;
import java.util.*;

import javax.swing.tree.*;
import javax.swing.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class ConfigTreeModel extends HttpModel {

    private JTree configurationTree;
    
    /** Creates new GroupListModel */
    public ConfigTreeModel() {
        
    }

    /**
     * Method updates the cache of the model.
     *
     */
    public void update(Object parameters) throws WebModelException {
        
        try 
        {
            
            Configurations configurations = (Configurations)getServletContext().getAttribute( Configurations.CONTEXT_NAME );
            configurationTree  = configurations.getConfigurationTree();
            
        }catch( Exception e ){
            throw new WebModelException( e.toString() );
        }
    }    

    public JTree getTree(){
        return configurationTree;
    }
    
    public Collection listGroups( String path ){
        return null;
    }
    
    public Collection listUnits( String path ) {
        return null;
    }
}
