/************************************************************************
 * Spooky - a service framework for the Internet
 * GroupInsideModel.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package spooky.sysservices.user;
import java.util.*;
import javax.ejb.*;
import javax.naming.*;
import javax.rmi.*;

import spooky.model.web.*;
import spooky.users.ejb.*;
import java.util.*;


/**
 *
 * @author  ekarlsso
 * @version 
 */
public class GroupInsideModel extends HttpModel  {

    private LinkedList usersInGroup;
    private String groupName;
    
    /** Creates new GroupInsideModel */
    public GroupInsideModel() {
        usersInGroup = new LinkedList();
    }

    /**
     *
     *
     */
    public void update(Object parameters) throws WebModelException {
        
        try 
        {
            groupName = (String)parameters;
            InitialContext cx = new InitialContext();
            Object obj = cx.lookup("UserGroupMapEJB");
            UserGroupMapHome home = (UserGroupMapHome)PortableRemoteObject.narrow( obj, UserGroupMapHome.class );
            
            Collection groupCollection = home.findByGroupId( groupName );
            int size = groupCollection.size();
            
            Iterator itr = groupCollection.iterator();
            usersInGroup.clear();
            
            while( itr.hasNext() )
            {
                UserGroupMap userGroupMap = (UserGroupMap)itr.next();
                String userName = userGroupMap.getUserId();
                usersInGroup.add( userName );
            }
            
        }catch( Exception e ){
            throw new WebModelException( e.toString() );
        }        
    }
    
    /**
     * Returns all users in the user group
     *
     */
    public List getUsersInGroup(){
        return usersInGroup;
    }
    
    public String getGroupName(){
        return groupName;
    }
}
