/************************************************************************
 * Spooky - a service framework for the Internet
 * GroupListModel.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package spooky.sysservices.user;

import java.util.*;
import javax.ejb.*;
import javax.naming.*;
import javax.rmi.*;

import spooky.config.*;
import spooky.model.web.*;
import spooky.users.ejb.*;
import spooky.users.value.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class GroupListModel extends HttpModel {

    private HashMap groupValueObjects;
    //private JTree configurationTree;
    
    /** Creates new GroupListModel */
    public GroupListModel() {
        groupValueObjects = new HashMap();
    }

    /**
     * Method updates the cache of the model.
     *
     */
    public void update(Object parameters) throws WebModelException {
        
        try 
        {
            InitialContext cx = new InitialContext();
            Object obj = cx.lookup("UserGroupEJB");
            UserGroupHome home = (UserGroupHome)PortableRemoteObject.narrow( obj, UserGroupHome.class );
            Collection groupCollection = home.findAll();
            Iterator itr = groupCollection.iterator();
            
            groupValueObjects.clear();
            
            while( itr.hasNext() )
            {
                UserGroup userGroup = (UserGroup)itr.next();
                UserGroupValue valueObject = userGroup.getValueObject();
                groupValueObjects.put( valueObject.getGroupName(), valueObject );
            }
            
            
//            Configurations configurations = (Configurations)getServletContext().getAttribute( Configurations.CONTEXT_NAME );
//            configurationTree  = configurations.getConfigurationTree();
            
        }catch( Exception e ){
            throw new WebModelException( e.toString() );
        }
    }    

    public Collection getValueObjects(){
        return groupValueObjects.values();
    }
    
    

}
