/************************************************************************
 * Spooky - a service framework for the Internet
 * UserAdminMessageModel.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package spooky.sysservices.user;

import spooky.model.web.*;
import javax.servlet.http.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class UserAdminMessageModel extends HttpModel implements java.io.Serializable {

    private String message;
    private int type;
    
    /** Creates new UserAdminModel */
    public UserAdminMessageModel() {
        super();
        message = "empty";
        type = 0;
    }

    /**
     * Method updates the cache of the model.
     *
     */
    public void update(Object parameters) throws WebModelException {
        
        try 
        {
            HttpSession session = getHttpSession();
            AdminMessageObject messageObject = (AdminMessageObject)session.getAttribute( AdminMessageObject.CONTEXT_NAME );
            message = messageObject.getMessage();
            
            type = messageObject.getType();
            
        }catch( Exception e ){
            throw new WebModelException( e.toString() );
        }
        
    }
    
    /**
     * Returns the message
     *
     */
    public String getMessage()
    {
        return message;
    }
    
    public int getType(){
        return type;
    }
    
    
}
