/************************************************************************
 * Spooky - a service framework for the Internet
 * UserListModel.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.sysservices.user;

import java.util.*;
import javax.ejb.*;
import javax.naming.*;
import javax.rmi.*;

import spooky.model.web.*;
import spooky.users.ejb.*;
import spooky.users.value.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class UserListModel extends HttpModel implements java.io.Serializable {

    private HashMap userValueObjects;
  
    
    /** Creates new GroupListModel */
    public UserListModel() {
        userValueObjects = new HashMap();
    }

    /**
     * Method updates the cache of the model.
     *
     */
    public void update(Object parameters) throws WebModelException {
        
        try 
        {
            InitialContext cx = new InitialContext();
            Object obj = cx.lookup("UserPrincipalEJB");
            UserPrincipalHome home = (UserPrincipalHome)PortableRemoteObject.narrow( obj, UserPrincipalHome.class );
            Collection usersCollection = home.findAll();
            Iterator itr = usersCollection.iterator();
            
            userValueObjects.clear();
            
            while( itr.hasNext() )
            {
                UserPrincipal userPrincipal = (UserPrincipal)itr.next();
                UserValue valueObject = userPrincipal.getValueObject();
                userValueObjects.put( valueObject.getUserName(), valueObject );
            }
            
        }catch( Exception e ){
            throw new WebModelException( e.toString() );
        }
    }    

    public Collection getValueObjects(){
        return userValueObjects.values();
    }
}
