/************************************************************************
 * Spooky - a service framework for the Internet
 * PageElementTag.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.taglib;

import javax.servlet.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

import spooky.config.*;
import spooky.view.web.ViewManager;
/**
 *
 * @author  Erik Karlsson
 * @version 
 */
public class PageElementTag extends TagSupport {

    private String name;
    
    /** Creates new PageElementTag */
    public PageElementTag() {
    }

    
    public void setName( String name ) {
        this.name = name;
    }
    
    public String getName() {
        return this.name;
    }
    
    
    public int doStartTag() throws JspException {

        try
         {
             pageContext.getOut().flush();
         } catch (Exception e){
             // do nothing
         }
        return SKIP_BODY;
    }
    /**
     * This method is called when the end of the tag is reached.
     *
     */
    public int doEndTag() throws JspException {

        try {
            
            ViewManager viewManager = (ViewManager)pageContext.getSession().getAttribute( ViewManager.CONTEXT_NAME );
            
            PageElementConfig  pageElementConfig = viewManager.getPageElementConfig( name );
            
            String nextTemplate = pageElementConfig.getValue();

            // Here we will include the templateto the current JSP page processing the 
            // tag.
            ServletRequest servletRequest = pageContext.getRequest();
            RequestDispatcher requestDispatcher =  servletRequest.getRequestDispatcher( viewManager.getTemplate( nextTemplate ) );
            requestDispatcher.include( pageContext.getRequest(), pageContext.getResponse() );
            
            
        }catch( Exception e ){
            throw new JspException( e.toString() );
        }
        return EVAL_PAGE;
    }
    
    
}
