/************************************************************************
 * Spooky - a service framework for the Internet
 * WebModelPropertyTag.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.taglib;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.lang.reflect.*;

import spooky.config.*;
import spooky.view.web.ViewManager;
import spooky.model.web.*;
import spooky.debug.*;

/**
 *
 * @author  ekarlsso
 * @version 
 */
public class WebModelPropertyTag extends TagSupport {

    private String name;
    private String className;
    private String attribute;
    private String scope;
    
    
    public void setName( String name ) {
        this.name = name;
    }
    public String getName(){
        return name;
    }
    
    public void setClassname( String className ) {
        this.className = className;
    }
    
    public String getClassname(){
        return className;
    }
    
    public void setAttribute( String attribute ) {
        this.attribute = attribute;
    }
    
    public String getAttribute(){
        return attribute;
    }
    
    public void setScope( String scope ) {
        this.scope = scope;
    }
    
    public String getScope()
    {
        return scope;
    }
    
    /** Creates new WebModelPropertyTag */
    public WebModelPropertyTag() {
    }

    public int doStartTag() throws JspException {
        return SKIP_BODY;
    }
    
    public int doEndTag() throws JspException {
     
        try 
        {
  
            
            if( scope == null )
                throw new JspException("Scope is Null");
            
            if( scope.toLowerCase().equals("session") )
            {
                HttpSession httpSession = pageContext.getSession();
                
                ModelManager modelManager = (ModelManager)httpSession.getAttribute( ModelManager.CONTEXT_NAME );
                Object objModel = modelManager.getModel( name, scope.toLowerCase() );
                
                Class modelClass = objModel.getClass();
                String methodName = "get" + attribute.toUpperCase().substring(0,1);
                methodName += attribute.toLowerCase().substring(1, attribute.length() );
                
                Method theMethod = modelClass.getMethod( methodName, null );
                Object response = theMethod.invoke(objModel, null );
                
                //Class theClass = Class.forName( className );
                //theClass.
                //response.
                
                JspWriter theWriter = pageContext.getOut();
                theWriter.println( response.toString() );
                
            }
            else if( scope.toLowerCase().equals("application") )
            {
                ServletContext httpSession = pageContext.getServletContext();
                Object objModel = httpSession.getAttribute( name );
                
                Class modelClass = objModel.getClass();
                String methodName = "get" + attribute.toUpperCase().substring(0,1);
                methodName += attribute.toLowerCase().substring(1, attribute.length() );
                
                Method theMethod = modelClass.getMethod( methodName, null );
                Object response = theMethod.invoke(objModel, null );
                
                //Class theClass = Class.forName( className );
                //theClass.
                //response.
                
                JspWriter theWriter = pageContext.getOut();
                theWriter.println( response.toString() );                
            }
            else if( scope.toLowerCase().equals("request") )
            {
                ServletRequest httpSession = pageContext.getRequest();
                Object objModel = httpSession.getAttribute( name );
                
                Class modelClass = objModel.getClass();
                String methodName = "get" + attribute.toUpperCase().substring(0,1);
                methodName += attribute.toLowerCase().substring(1, attribute.length() );
                
                Method theMethod = modelClass.getMethod( methodName, null );
                Object response = theMethod.invoke(objModel, null );
                
                //Class theClass = Class.forName( className );
                //theClass.
                //response.
                
                JspWriter theWriter = pageContext.getOut();
                theWriter.println( response.toString() );                
            }
            else
                throw new JspException("Unknown scope");
            
        }catch(JspException je ){
            throw je;
        }catch(Exception e ){
            throw new JspException( e.toString() );
        }
        
         return EVAL_PAGE;
    }
}


