/************************************************************************
 * Spooky - a service framework for the Internet
 * UserFacade.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.users.ejb;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * 
 * @author ekarlsso
 * Created Sep 8, 2001 1:11:28 AM
 * Code generated by the Forte for Java EJB Module
 */

public interface UserFacade extends EJBObject {
    
    public int createUser(java.lang.String userName, java.lang.String fullName, java.lang.String password) throws RemoteException, UserEjbException;
    public boolean existUser(String userName) throws RemoteException, UserEjbException;
    
    public int createUserGroup(String groupName, java.lang.String path, java.lang.String explanation) throws UserEjbException, RemoteException;
    
    public void removeUserGroup(int groupId, String path) throws UserEjbException, RemoteException;
    
    public void removeUser(java.lang.String userName) throws UserEjbException, RemoteException;

    public spooky.security.auth.FrameworkUserPrincipal getUserPrincipal(java.lang.String userName) throws RemoteException;
    
    public spooky.security.auth.FrameworkGroupPrincipal getGroupPrincipal(java.lang.String groupName) throws RemoteException;
    
    public boolean matchUserWithPassword(java.lang.String userName, java.lang.String password) throws java.rmi.RemoteException, spooky.users.ejb.UserEjbException;
    
    public spooky.security.auth.FrameworkGroupPrincipal getGroupPrincipal(java.lang.String groupName, java.lang.String path) throws RemoteException;
    
    public boolean addUserToGroup(spooky.security.auth.FrameworkUserPrincipal userPrincipal, spooky.security.auth.FrameworkGroupPrincipal group) throws java.rmi.RemoteException, spooky.users.ejb.UserEjbException;
    
    public boolean removeUserFromGroup(spooky.security.auth.FrameworkUserPrincipal userPrincipal, spooky.security.auth.FrameworkGroupPrincipal group) throws java.rmi.RemoteException, spooky.users.ejb.UserEjbException;
    
    public spooky.security.auth.FrameworkGroupPrincipal getGroupPrincipal(java.lang.Integer groupId) throws RemoteException;
    
    public boolean addUserToGroup(java.lang.String userName, java.lang.String groupName) throws java.rmi.RemoteException, spooky.users.ejb.UserEjbException;
    
    public boolean removeUserFromGroup(java.lang.String userName, java.lang.String group) throws java.rmi.RemoteException, spooky.users.ejb.UserEjbException;
    
    public boolean existGroup(java.lang.String groupName) throws RemoteException;
    
    public boolean removeUserGroup(java.lang.String groupName) throws java.rmi.RemoteException, spooky.users.ejb.UserEjbException;
    
}