/************************************************************************
 * Spooky - a service framework for the Internet
 * UserGroupEJB.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.users.ejb;

import java.util.Date;

import javax.ejb.*;
import javax.naming.*;
import javax.rmi.*;

import spooky.users.value.*;
import spooky.sysservices.*;

/**
 * 
 * @author ekarlsso
 * Created Sep 23, 2001 11:29:58 PM
 * Code generated by the Forte for Java EJB Module
 */

public class UserGroupEJB implements EntityBean {
    private transient EntityContext context;

    /* Container managed fields */
    public String spGroupExpl;
    public String spGroupPath;
    public Date spCreated;

    public java.lang.Integer spGroupId;
    public java.lang.String spGroupName;
    
    /**
     * No argument constructor required by container.
     */
    public UserGroupEJB() {
    }

    /* Methods required for EntityBean interface. EJB 1.1 section 9.4 */

    /**
     * @see javax.ejb.EntityBean#setEntityContext(javax.ejb.EntityContext)
     */
    public void setEntityContext(EntityContext context){
        this.context = context;
    }

    /**
     * @see javax.ejb.EntityBean#unsetEntityContext()
     */
    public void unsetEntityContext(){
        context = null;
    }

    /**
     * @see javax.ejb.EntityBean#ejbActivate()
     */
    public void ejbActivate() {
    }

    /**
     * @see javax.ejb.EntityBean#ejbPassivate()
     */
    public void ejbPassivate() {
    }

    /**
     * @see javax.ejb.EntityBean#ejbLoad()
     */
    public void ejbLoad() {
    }

    /**
     * @see javax.ejb.EntityBean#ejbStore()
     */
    public void ejbStore() {
    }

    /**
     * @see javax.ejb.EntityBean#ejbRemove()
     */
    public void ejbRemove() {
    }
    
    /**
     * Returns the date when the group was created
     */
    public java.util.Date getCreated() {
        return this.spCreated;
    }
    
    public java.lang.String getExplanation() {
        return this.spGroupExpl;
    }
    
    public java.lang.String getGroupName() {
        return this.spGroupName;
    }
    
    public java.lang.String getGroupPath() {
        return this.spGroupPath;
    }
    
    public int getGroupId() {
        return this.spGroupId.intValue();
    }
    
    public void setGroupPath(java.lang.String path) {
        this.spGroupPath = path;
    }
    
    public void setExplanation(java.lang.String expl) {
        this.spGroupExpl = expl;
    }

    
    public void setGroupName(java.lang.String name) {
        this.spGroupExpl = name;
    }
    
    /**
     * Method creates a new instance (or row to a table) of this object. Note 
     * that the entity bean object represents a certain row in the relational
     * database. 
     *
     * @param groupName the name of the group. Note that the name doesn't 
     *                  identifies the group, so that if a old group is removed
     *                  and new group is created with the same name, the new will
     *                  not get the old groups priviledges.
     * @param groupPath the hierarchy tree's path
     * @param explanation sort explanation of the group                  
     */
    public Integer ejbCreate(java.lang.String groupName, java.lang.String groupPath, java.lang.String explanation ) throws CreateException {
        
        try 
        {
            //Let's get the new row id number of 
            //the table
            InitialContext cx = new InitialContext();
            Integer rowId =  TableTools.tableKeyNumber( cx, "UserGroupEJB");

            if( rowId.intValue() < 0 )
                throw new CreateException("Couldn't create a new instance of UserGroupEJB");

            this.spGroupId = rowId;
            this.spGroupName = groupName;
            this.spGroupPath = groupPath;
            this.spGroupExpl = explanation;
            this.spCreated = new Date();
            
        }catch( Exception e ){
            throw new CreateException( e.toString() );
        }
        
        //This is required for the container managed
        //entity bean
        return null;
    }
    
    /**
     * The post creation function
     */
    public void ejbPostCreate(java.lang.String groupName, java.lang.String groupPath, java.lang.String explanation) throws CreateException {
    }
    
    public spooky.users.value.UserGroupValue getValueObject() {
        return new UserGroupValue( spGroupId, spGroupName, spCreated, spGroupPath, spGroupExpl );
    }
    
}