/************************************************************************
 * Spooky - a service framework for the Internet
 * UserPrincipalEJB.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.users.ejb;

import java.util.Date;

import javax.ejb.*;
import javax.naming.*;
import spooky.sysservices.*;
import spooky.users.value.*;
/**
 * 
 * @author ekarlsso
 * Created Sep 23, 2001 11:55:51 PM
 * Code generated by the Forte for Java EJB Module
 */

public class UserPrincipalEJB implements EntityBean {
    private transient EntityContext context;

    /* Container managed fields */

    public Integer spUserId;
    public String spUserName;
    public Date spCreated;
    public Date spLastUsed;
    public java.lang.String spPassword;
    public java.lang.String spFullName;
    
    /**
     * No argument constructor required by container.
     */
    public UserPrincipalEJB() {
    }

    /* Methods required for EntityBean interface. EJB 1.1 section 9.4 */

    /**
     * @see javax.ejb.EntityBean#setEntityContext(javax.ejb.EntityContext)
     */
    public void setEntityContext(EntityContext context){
        this.context = context;
    }

    /**
     * @see javax.ejb.EntityBean#unsetEntityContext()
     */
    public void unsetEntityContext(){
        context = null;
    }

    /**
     * @see javax.ejb.EntityBean#ejbActivate()
     */
    public void ejbActivate() {
    }

    /**
     * @see javax.ejb.EntityBean#ejbPassivate()
     */
    public void ejbPassivate() {
    }

    /**
     * @see javax.ejb.EntityBean#ejbLoad()
     */
    public void ejbLoad() {
    }

    /**
     * @see javax.ejb.EntityBean#ejbStore()
     */
    public void ejbStore() {
    }

    /**
     * @see javax.ejb.EntityBean#ejbRemove()
     */
    public void ejbRemove() {
    }
    
    /**
     * Creates a new entity of the user principal object.
     *
     */
    public Integer ejbCreate(java.lang.String userName, java.lang.String fullName, java.lang.String password) throws CreateException {
        
        try{
            
            //Let's get the new row id number of 
            //the table
            InitialContext cx = new InitialContext();
            Integer rowId =  TableTools.tableKeyNumber( cx, "UserPrincipalEJB");
            this.spUserId = rowId;
            this.spUserName = userName;
            this.spFullName = fullName;
            this.spPassword = password;
            this.spLastUsed = new Date();
            this.spCreated = new Date();
            
        }catch( Exception e ){
            throw new CreateException( e.toString() );
        }
        
        return null;
    }
    
    public void ejbPostCreate(java.lang.String userName, java.lang.String fullName, java.lang.String password) throws CreateException {
    }
    
    public java.lang.String getUserName() {
        return this.spUserName;
    }
    
    public java.lang.String getFullName() {
        return this.spFullName;
    }
    
    public java.lang.String getPassword() {
        return this.spPassword;
    }
    
    public java.util.Date getCreated() {
        return this.spCreated;
    }
    
    public int getUserId() {
        return this.spUserId.intValue();
    }
    
    public spooky.users.value.UserValue getValueObject() {
        return new UserValue( this.spUserId, this.spUserName, this.spCreated, this.spFullName );
    }
    
}