/************************************************************************
 * Spooky - a service framework for the Internet
 * UserGroupValue.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.users.value;

import java.util.*;

/**
 *
 * @author  ekarlsso
 * @version 
 */
public class UserGroupValue implements java.io.Serializable {

    private String explanation;
    private String path;
    private Date created;
    private java.lang.Integer groupId;
    private java.lang.String groupName;    
    
    /** Creates new UserGroupValue */
    public UserGroupValue( Integer groupId, String groupName, Date created, String path, String explanation ) {
        
        this.groupId = groupId;
        this.groupName = groupName;
        this.created = created;
        this.path = path;
        this.explanation = explanation;
    }

    public String getExplanation() {
        return this.explanation;
    }
    
    public String getPath() {
        return this.path;
    }
    
    public Date getCreated() {
        return created;
    }
    
    public int getGroupId() {
        return groupId.intValue();
    }
    
    public String getGroupName() {
        return groupName;
    }
}
